﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace VTFC
{
    // ----------------------------------------------------------------------------
    /// <summary>
    /// Metadata of documents
    /// </summary>
    /// <remarks>
    /// Contains online and offline metadata.
    /// </remarks>
    // ----------------------------------------------------------------------------
    [Serializable]
    public class Document
    {
        /// <summary>Full url of the file.</summary>
        public string Url { get; set; }
        /// <summary>Name of the SharePoint list on TFS.</summary>
        public string ListName { get; set; }
        /// <summary><see cref="VTFC.MetaData"/> instance.</summary>
        public MetaData MetaData { get; set; }
        
        /// <summary>Checked out.</summary>
        [XmlIgnore()]
        public bool IsCheckedOut { get; set; }
        /// <summary>Checked out user technical identifier.</summary>
        [XmlIgnore()]
        public int CheckedOutUserID { get; set; }
        /// <summary>Checked out user full name.</summary>
        [XmlIgnore()]
        public string CheckedOutUserName { get; set; }
        /// <summary>Has get latest version?</summary>
        [XmlIgnore()]
        public bool Skipped { get; set; }
               
        // ----------------------------------------------------------------------------
        /// <summary>
        /// Constructor.
        /// </summary>
        // ----------------------------------------------------------------------------
        public Document()
        {
        }//ctor
    }//class Document    
}//namespace VTFC
