﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VTFC
{
    // ----------------------------------------------------------------------------
    /// <summary>
    /// CheckinType parameter for Lists CheckInFile web method. <br/>
    /// Following on Microsoft.SharePoint.SPCheckinType enum.
    /// </summary>
    // ----------------------------------------------------------------------------
    public enum CheckinType : int
    {
        /// <summary>Increment minor version.</summary>
        MinorCheckIn        = 0,
        /// <summary>Increment major version.</summary>
        MajorCheckIn        = 1,
        /// <summary>Overwrite current version.</summary>
        OverwriteCheckIn    = 2,
    }//enum CheckinType

    // ----------------------------------------------------------------------------
    /// <summary>
    /// Type of the task.
    /// </summary>
    // ----------------------------------------------------------------------------
    public enum TaskType
    {
        /// <summary>File not exists in local.</summary>
        DOWNLOAD_AND_CREATE = 1,
        /// <summary>File exist in local with older version.</summary>
        DOWNLOAD_AND_UPDATE = 2,
        /// <summary>File was modified in local.</summary>
        COMFIRM_THAN_UPDATE = 3,
    }//enum TaskType

    // ----------------------------------------------------------------------------
    /// <summary>
    /// Type of the folder.
    /// </summary>
    // ----------------------------------------------------------------------------
    public enum FolderType
    {
        /// <summary>TFS project.</summary>
        PROJECT = 0,
        /// <summary>Document Library.</summary>
        LIST = 1,
        /// <summary>Sub folder.</summary>
        FOLDER = 2,
    }//enum FolderType
}//namespace VTFC
