﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VTFC
{
    // ----------------------------------------------------------------------------
    /// <summary>
    /// File metadata class.
    /// </summary>
    // ----------------------------------------------------------------------------
    [Serializable]
    public class MetaData
    {
        /// <summary>Relative local path of directory.</summary>
        public string Directory { get; set; }
        /// <summary>File name.</summary>
        public string FileName { get; set; }
        /// <summary>File version.</summary>
        public string Version { get; set; }
        /// <summary>Modified by field.</summary>
        public string ModifiedBy { get; set; }
        /// <summary>Modified by field.</summary>
        public DateTime Modified { get; set; }
        /// <summary>Size of the file.</summary>
        public long Size { get; set; }

        // ----------------------------------------------------------------------------
        /// <summary>
        /// Constructor.
        /// </summary>
        // ----------------------------------------------------------------------------
        public MetaData()
        {
        }//ctor
    }//class MetaData
}//namespace VTFC
